GuideLab API

Get pickup request settings

Retrieve pickup request form settings for the current lab, including whether the form is enabled and thank-you message configuration. Lab only.

GET
/pickup-requests/settings

Retrieve pickup request form settings for the current lab, including whether the form is enabled and thank-you message configuration. Lab only.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X GET "https://example.com/pickup-requests/settings"
{  "settings": {    "id": "string",    "labId": "string",    "formEnabled": true,    "thankYouTitle": "string",    "thankYouMessage": "string",    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty